/* ==============================> Estilos del Shortcode de WhatsApp */

/* WSP Predeterminado */

.whatsapp-predeterminado {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 12px 24px;
    border-radius: var(--wd-brd-radius);
    background: var(--e-global-color-secondary);
    font-size: var(--wd-text-font-size);
    line-height: calc(var(--wd-text-font-size) + 4px);
    color: #fff;
    transition: .4s all ease-in-out;
}

.whatsapp-predeterminado i {
    font-size: calc(var(--wd-text-font-size) + 4px);
    transition: .4s all ease-in-out;
}

.whatsapp-predeterminado:hover {
    background: var(--e-global-color-primary);
    color: #fff;
}

/* WSP Cabecera */

.whatsapp-cabecera {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    gap: 8px;
    background: #f7f7f7;
    padding: 4px 12px;
    border-radius: 6px;
    color: var(--e-global-color-text);
    font-size: var(--wd-text-font-size);
    font-weight: 500;
    line-height: calc(var(--wd-text-font-size) + 4px);
    transition: .4s all ease-in-out;
}

.whatsapp-cabecera i {
    font-size: calc(var(--wd-text-font-size) + 10px);
    transition: .4s all ease-in-out;
}

.whatsapp-cabecera:hover {
	background: #25d366;
    color: #fff;
}

/* WSP Icono */

.whatsapp-icono {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 4px;
    border-radius: var(--wd-brd-radius);
    font-size: var(--wd-text-font-size);
    width: 20px;
    height: 20px;
    background: #25d366;
    color: #fff;
    transition: .4s all ease-in-out;
}

.whatsapp-icono:hover {
    color: #fff;
}